Upstream information

CVE-2017-3313 at MITRE

Description

Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: MyISAM). Supported versions that are affected are 5.5.53 and earlier, 5.6.34 and earlier and 5.7.16 and earlier. Difficult to exploit vulnerability allows low privileged attacker with logon to the infrastructure where MySQL Server executes to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized access to critical data or complete access to all MySQL Server accessible data. CVSS v3.0 Base Score 4.7 (Confidentiality impacts).

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 1.53 3.81
Vector AV:L/AC:M/Au:S/C:P/I:N/A:N AV:L/AC:H/Au:S/C:C/I:N/A:N
Access Vector Local Local
Access Complexity Medium High
Authentication Single Single
Confidentiality Impact Partial Complete
Integrity Impact None None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database
Base Score 4.7
Vector AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:N/A:N
Access Vector Local
Access Complexity High
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None

This issue is currently rated as having low severity.

SUSE Bugzilla entries: 1020890 [IN_PROGRESS], 1034911 [RESOLVED / ]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • libmysqlclient18 >= 10.0.30-25.1
  • libmysqlclient18-32bit >= 10.0.30-25.1
  • libmysqlclient_r18 >= 10.0.30-25.1
  • libmysqlclient_r18-32bit >= 10.0.30-25.1
  • mariadb >= 10.0.30-25.1
  • mariadb-client >= 10.0.30-25.1
  • mariadb-errormessages >= 10.0.30-25.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-795
SUSE Linux Enterprise Desktop 12 SP2
  • libmysqlclient18 >= 10.0.30-25.1
  • libmysqlclient18-32bit >= 10.0.30-25.1
  • libmysqlclient_r18 >= 10.0.30-25.1
  • libmysqlclient_r18-32bit >= 10.0.30-25.1
  • mariadb >= 10.0.30-25.1
  • mariadb-client >= 10.0.30-25.1
  • mariadb-errormessages >= 10.0.30-25.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-795
SUSE Linux Enterprise Point of Sale 11 SP3
  • libmysql55client18 >= 5.5.54-0.35.1
  • libmysql55client_r18 >= 5.5.54-0.35.1
  • mysql >= 5.5.54-0.35.1
  • mysql-client >= 5.5.54-0.35.1
  • mysql-tools >= 5.5.54-0.35.1
Patchnames:
sleposp3-mysql-12971
SUSE Linux Enterprise Server 11 SP3-LTSS
  • libmysql55client18 >= 5.5.54-0.35.1
  • libmysql55client18-32bit >= 5.5.54-0.35.1
  • libmysql55client_r18 >= 5.5.54-0.35.1
  • mysql >= 5.5.54-0.35.1
  • mysql-client >= 5.5.54-0.35.1
  • mysql-tools >= 5.5.54-0.35.1
Patchnames:
slessp3-mysql-12971
SUSE Linux Enterprise Server 11 SP4
  • libmysql55client18 >= 5.5.54-0.35.1
  • libmysql55client18-32bit >= 5.5.54-0.35.1
  • libmysql55client18-x86 >= 5.5.54-0.35.1
  • libmysql55client_r18 >= 5.5.54-0.35.1
  • libmysql55client_r18-32bit >= 5.5.54-0.35.1
  • libmysql55client_r18-x86 >= 5.5.54-0.35.1
  • mysql >= 5.5.54-0.35.1
  • mysql-client >= 5.5.54-0.35.1
  • mysql-tools >= 5.5.54-0.35.1
Patchnames:
slessp4-mysql-12971
SUSE Linux Enterprise Server 12 SP1
  • libmysqlclient18 >= 10.0.30-25.1
  • libmysqlclient18-32bit >= 10.0.30-25.1
  • mariadb >= 10.0.30-25.1
  • mariadb-client >= 10.0.30-25.1
  • mariadb-errormessages >= 10.0.30-25.1
  • mariadb-tools >= 10.0.30-25.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-795
SUSE Linux Enterprise Server 12 SP2
  • libmysqlclient18 >= 10.0.30-25.1
  • libmysqlclient18-32bit >= 10.0.30-25.1
  • mariadb >= 10.0.30-25.1
  • mariadb-client >= 10.0.30-25.1
  • mariadb-errormessages >= 10.0.30-25.1
  • mariadb-tools >= 10.0.30-25.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-795
SUSE Linux Enterprise Server 12-LTSS
  • libmysqlclient-devel >= 10.0.30-20.26.1
  • libmysqlclient18 >= 10.0.30-20.26.1
  • libmysqlclient18-32bit >= 10.0.30-20.26.1
  • libmysqlclient_r18 >= 10.0.30-20.26.1
  • libmysqld-devel >= 10.0.30-20.26.1
  • libmysqld18 >= 10.0.30-20.26.1
  • mariadb >= 10.0.30-20.26.1
  • mariadb-client >= 10.0.30-20.26.1
  • mariadb-errormessages >= 10.0.30-20.26.1
  • mariadb-tools >= 10.0.30-20.26.1
Patchnames:
SUSE-SLE-SERVER-12-2017-792
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libmysqlclient18 >= 10.0.30-25.1
  • mariadb >= 10.0.30-25.1
  • mariadb-client >= 10.0.30-25.1
  • mariadb-errormessages >= 10.0.30-25.1
  • mariadb-tools >= 10.0.30-25.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-795
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libmysql55client_r18-32bit >= 5.5.54-0.35.1
  • libmysql55client_r18-x86 >= 5.5.54-0.35.1
  • mysql >= 5.5.54-0.35.1
Patchnames:
sdksp4-mysql-12971
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libmysqlclient-devel >= 10.0.30-25.1
  • libmysqlclient_r18 >= 10.0.30-25.1
  • libmysqld-devel >= 10.0.30-25.1
  • libmysqld18 >= 10.0.30-25.1
  • mariadb >= 10.0.30-25.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-795
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libmysqlclient-devel >= 10.0.30-25.1
  • libmysqlclient_r18 >= 10.0.30-25.1
  • libmysqld-devel >= 10.0.30-25.1
  • libmysqld18 >= 10.0.30-25.1
  • mariadb >= 10.0.30-25.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-795
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libmysqlclient_r18 >= 10.0.30-25.1
  • libmysqlclient_r18-32bit >= 10.0.30-25.1
  • mariadb >= 10.0.30-25.1
Patchnames:
SUSE-SLE-WE-12-SP1-2017-795
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libmysqlclient_r18 >= 10.0.30-25.1
  • libmysqlclient_r18-32bit >= 10.0.30-25.1
  • mariadb >= 10.0.30-25.1
Patchnames:
SUSE-SLE-WE-12-SP2-2017-795
SUSE Linux Enterprise for SAP 12
  • libmysqlclient-devel >= 10.0.30-20.26.1
  • libmysqlclient18 >= 10.0.30-20.26.1
  • libmysqlclient18-32bit >= 10.0.30-20.26.1
  • libmysqlclient_r18 >= 10.0.30-20.26.1
  • libmysqld-devel >= 10.0.30-20.26.1
  • libmysqld18 >= 10.0.30-20.26.1
  • mariadb >= 10.0.30-20.26.1
  • mariadb-client >= 10.0.30-20.26.1
  • mariadb-errormessages >= 10.0.30-20.26.1
  • mariadb-tools >= 10.0.30-20.26.1
Patchnames:
SUSE-SLE-SAP-12-2017-792
SUSE Manager 2.1
  • libmysql55client18 >= 5.5.54-0.35.1
  • libmysql55client18-32bit >= 5.5.54-0.35.1
  • libmysql55client_r18 >= 5.5.54-0.35.1
  • mysql >= 5.5.54-0.35.1
  • mysql-client >= 5.5.54-0.35.1
  • mysql-tools >= 5.5.54-0.35.1
Patchnames:
sleman21-mysql-12971
SUSE Manager Proxy 2.1
  • libmysql55client18 >= 5.5.54-0.35.1
  • libmysql55client18-32bit >= 5.5.54-0.35.1
  • libmysql55client_r18 >= 5.5.54-0.35.1
  • mysql >= 5.5.54-0.35.1
  • mysql-client >= 5.5.54-0.35.1
  • mysql-tools >= 5.5.54-0.35.1
Patchnames:
slemap21-mysql-12971
SUSE OpenStack Cloud 5
  • libmysql55client18 >= 5.5.54-0.35.1
  • libmysql55client18-32bit >= 5.5.54-0.35.1
  • libmysql55client_r18 >= 5.5.54-0.35.1
  • mysql >= 5.5.54-0.35.1
  • mysql-client >= 5.5.54-0.35.1
  • mysql-tools >= 5.5.54-0.35.1
Patchnames:
sleclo50sp3-mysql-12971
openSUSE Leap 42.1
  • libmysql56client18 >= 5.6.35-22.1
  • libmysql56client18-32bit >= 5.6.35-22.1
  • libmysql56client18-debuginfo >= 5.6.35-22.1
  • libmysql56client18-debuginfo-32bit >= 5.6.35-22.1
  • libmysql56client_r18 >= 5.6.35-22.1
  • libmysql56client_r18-32bit >= 5.6.35-22.1
  • mysql-community-server >= 5.6.35-22.1
  • mysql-community-server-bench >= 5.6.35-22.1
  • mysql-community-server-bench-debuginfo >= 5.6.35-22.1
  • mysql-community-server-client >= 5.6.35-22.1
  • mysql-community-server-client-debuginfo >= 5.6.35-22.1
  • mysql-community-server-debuginfo >= 5.6.35-22.1
  • mysql-community-server-debugsource >= 5.6.35-22.1
  • mysql-community-server-errormessages >= 5.6.35-22.1
  • mysql-community-server-test >= 5.6.35-22.1
  • mysql-community-server-test-debuginfo >= 5.6.35-22.1
  • mysql-community-server-tools >= 5.6.35-22.1
  • mysql-community-server-tools-debuginfo >= 5.6.35-22.1
Patchnames:
openSUSE-2017-258
openSUSE Leap 42.2
  • libmysql56client18 >= 5.6.35-22.1
  • libmysql56client18-32bit >= 5.6.35-22.1
  • libmysql56client18-debuginfo >= 5.6.35-22.1
  • libmysql56client18-debuginfo-32bit >= 5.6.35-22.1
  • libmysql56client_r18 >= 5.6.35-22.1
  • libmysql56client_r18-32bit >= 5.6.35-22.1
  • libmysqlclient-devel >= 10.0.30-20.4.1
  • libmysqlclient18 >= 10.0.30-20.4.1
  • libmysqlclient18-32bit >= 10.0.30-20.4.1
  • libmysqlclient18-debuginfo >= 10.0.30-20.4.1
  • libmysqlclient18-debuginfo-32bit >= 10.0.30-20.4.1
  • libmysqlclient_r18 >= 10.0.30-20.4.1
  • libmysqlclient_r18-32bit >= 10.0.30-20.4.1
  • libmysqld-devel >= 10.0.30-20.4.1
  • libmysqld18 >= 10.0.30-20.4.1
  • libmysqld18-debuginfo >= 10.0.30-20.4.1
  • mariadb >= 10.0.30-20.4.1
  • mariadb-bench >= 10.0.30-20.4.1
  • mariadb-bench-debuginfo >= 10.0.30-20.4.1
  • mariadb-client >= 10.0.30-20.4.1
  • mariadb-client-debuginfo >= 10.0.30-20.4.1
  • mariadb-debuginfo >= 10.0.30-20.4.1
  • mariadb-debugsource >= 10.0.30-20.4.1
  • mariadb-errormessages >= 10.0.30-20.4.1
  • mariadb-test >= 10.0.30-20.4.1
  • mariadb-test-debuginfo >= 10.0.30-20.4.1
  • mariadb-tools >= 10.0.30-20.4.1
  • mariadb-tools-debuginfo >= 10.0.30-20.4.1
  • mysql-community-server >= 5.6.35-22.1
  • mysql-community-server-bench >= 5.6.35-22.1
  • mysql-community-server-bench-debuginfo >= 5.6.35-22.1
  • mysql-community-server-client >= 5.6.35-22.1
  • mysql-community-server-client-debuginfo >= 5.6.35-22.1
  • mysql-community-server-debuginfo >= 5.6.35-22.1
  • mysql-community-server-debugsource >= 5.6.35-22.1
  • mysql-community-server-errormessages >= 5.6.35-22.1
  • mysql-community-server-test >= 5.6.35-22.1
  • mysql-community-server-test-debuginfo >= 5.6.35-22.1
  • mysql-community-server-tools >= 5.6.35-22.1
  • mysql-community-server-tools-debuginfo >= 5.6.35-22.1
Patchnames:
openSUSE-2017-315
openSUSE-2017-644


List of planned updates

The following information is the current evaluation information for this security issue. It might neither be accurate nor complete, Use at own risk.
Product(s) Source package
  • SUSE Linux Enterprise SDK 11 SP4
  • SUSE Linux Enterprise Server for SAP 11 SP3
  • SUSE Linux Enterprise Server for SAP 11 SP4
mysql